{% raw %}
{{define "error.html"}}
<!DOCTYPE html>
<html lang="en" charset="utf-8">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no">

  <title>{{.StatusCode}} {{.Title}}</title>
  {% endraw %}
    <link rel="stylesheet" href="{{ oauth2_proxy_css_src }}">
  {% raw %}

<script type="text/javascript">
  document.addEventListener('DOMContentLoaded', function() {
    let cardToggles = document.getElementsByClassName('card-toggle');
    for (let i = 0; i < cardToggles.length; i++) {
      cardToggles[i].addEventListener('click', e => {
        e.currentTarget.parentElement.parentElement.childNodes[3].classList.toggle('is-hidden');
      });
    }
  });
</script>

<style>
  body {
    height: 100vh;
  }
  .error-box {
    margin: 1.25rem auto;
    max-width: 600px;
  }
  .status-code {
    font-size: 2rem;
    font-weight: 600;
  }
  #more-info.card {
    border: 1px solid #f0f0f0;
  }
  footer a {
    text-decoration: underline;
  }

 /* Global Styles - #TODO */
  @font-face {
    font-family: "Raleway";
    src: url("../fonts/Raleway-Regular.ttf");
    /* IE9 Compat Modes */
    src: url("../fonts/Raleway-Regular.ttf") format("truetype");
}

@font-face {
    font-family: "Orbitron";
    src: url("../fonts/Orbitron-VariableFont_wght.ttf");
    /* IE9 Compat Modes */
    src: url("../fonts/Orbitron-VariableFont_wght.ttf") format("truetype");
}

:root {
    /* Font Family */
    --global-rps--font-family-1: "Raleway", "Roboto Bold", Helvetica, sans-serif;
    --global-rps--font-family-2: "Roboto", "Roboto Light", Helvetica, sans-serif;
    --global-rps--font-family-3: "Orbitron", "Roboto Light", Helvetica, sans-serif;
    --global-rps--heading--font-family: var(--global-rps--font-family-2);
    /* Font Heading */
    --global-rps--font-size-h1: 2.5rem;
    --global-rps--font-size-h2: 2rem;
    --global-rps--font-size-h3: 1.75rem;
    --global-rps--font-size-h4: 1.5rem;
    --global-rps--font-size-h5: 1.25rem;
    --global-rps--font-size-h6: 1rem;
    --global-rps--font-size-text: 1rem;
    /* Font Weight */
    --global-rps--font-weight-light: 300;
    --global-rps--font-weight-normal: 400;
    --global-rps--font-weight-bold: 500;
    --global-rps--font-weight-bolder: 600;
    /* Line Height */
    --global-rps--line-height-body: 1.7;
    --global-rps--line-height-heading: 1.3;
    --global-rps--line-height-page-title: 1.1;
    /* Colors */
    --global-rps--color-1: #44546a;
    --global-rps--color-2: #8497b0;
    --global-rps--color-3: rgba(132, 151, 176, 0.2);
    --global-rps--color-4: #ecececc7;
    --global-rps--color-5: #EAEDF2;
    --global-rps--color-6: #eb576a;
    --global-rps--color-7: #800000;
    --global-rps--color-8: #fff;
    --global-rps--color-9: #BBBBBB;
    --global-rps--color-10: #dedede;
    --global-rps--color-11: #000;
    --global-rps--color-12: rgb(234, 237, 242);
    --global-rps--color-13: #004085;
    --global-rps--color-14: #cce5ff;
    --global-rps--color-15: #b8daff;
    --global-rps--color-16: #44536a;
    --global-rps--color-17: #44546a61;
    --global-rps--color-18: #ec94944a;



    /* Input Element */
    --global-rps--input-radius: 5px;
    --global-rps--input-field-border-radius: var(--global-rps--input-radius) var(--global-rps--input-radius) 0 0;
    --global-rps--input-field-height: 42px;
    --global-rps--input-box-shadow: inset 0 0px 0px rgba(0, 0, 0, .075), 0 0 0px rgba(0, 136, 206, .6);
    /* Button Element */
    --global-rps--button-height: 42px;
    --global-rps--button-font-size: 14px;
    --global-rps--button-border-radius: 5px;
    /* Box Element */
    --global-rps--box-shadow: 0 0.5rem 1rem 0 rgba(3, 3, 3, 0.16), 0 0 0.375rem 0 rgba(3, 3, 3, 0.08);
    --global-rps--box-radius: 5px;
    --global-rps--box-padding: 20px 20px 20px 20px;
    /* Spacing  */
    --global-rps--spacing-5: 5px;
    --global-rps--spacing-10: 10px;
    --global-rps--spacing-15: 15px;
    --global-rps--spacing-20: 20px;
    --global-rps--spacing-25: 25px;
    --global-rps--spacing-30: 30px;
    --global-rps--spacing-35: 35px;
    --global-rps--spacing-40:420px;
}

body {
  font-family: var(--global-rps--heading--font-family) !important;
  font-weight: var(--global-rps--font-weight-normal) !important;
  font-size: var(--global-rps--font-size-text) !important;
  line-height: var(--global-rps--line-height-body) !important;
  color: var(--global-rps--color-1) !important;
}

a.rps-global-link {
  color: var(--global-rps--color-1);
  background-color: var(--global-rps--color-8);
}

a.rps-global-link:hover {
  color: var(--global-rps--color-6);
  background-color: var(--global-rps--color-8);
}

h1, h2, h3, h4, h5, h6 {
  color: var(--global-rps--color-1) !important;
}

h1 {
  font-size: var(--global-rps--font-size-h1) !important;
  margin: var(--global-rps--spacing-10) 0 var(--global-rps--spacing-10) !important;
}

h2 {
  font-size: var(--global-rps--font-size-h2) !important;
  margin: var(--global-rps--spacing-10) 0 var(--global-rps--spacing-10) !important;
}

h3 {
  font-size: var(--global-rps--font-size-h3) !important;
  margin: var(--global-rps--spacing-10) 0 var(--global-rps--spacing-10) !important;
}

h4 {
  font-size: var(--global-rps--font-size-h4) !important;
  margin: var(--global-rps--spacing-20) 0 var(--global-rps--spacing-20) !important;
}

h5 {
  font-size: var(--global-rps--font-size-h5) !important;
  margin: var(--global-rps--spacing-10) 0 var(--global-rps--spacing-10) !important;
}

h6 {
  font-size: var(--global-rps--font-size-h6) !important;
  margin: var(--global-rps--spacing-10) 0 var(--global-rps--spacing-10) !important;
}

/** FONTS ELEMENT **/
.font-weight-200 {
  font-weight: 200;
}
.font-weight-300 {
  font-weight: 300;
}
.font-weight-400 {
  font-weight: 400;
}
.font-weight-500 {
  font-weight: 500;
}
.font-weight-600 {
  font-weight: bold;
}
.font-weight-bolder {
  font-weight: bolder;
}

.ml-5{
  margin-left: 5px;
}
.ml-10{
  margin-left: 10px;
}
.ml-15{
  margin-left: 15px;
}
.ml-20{
  margin-left: 20px;
}
.mr-5{
  margin-right: 5px;
}
.mr-10{
  margin-right: 10px;
}
.mr-15{
  margin-right: 15px;
}
.mr-20{
  margin-right: 20px;
}

.btn-navigate-form-step{
  padding-left:50px;
  padding-right: 50px;
}

/*** FORM ELEMENTS  START*****/

.rps-button {
  display: block;
  font-size: var(--global-rps--button-font-size);
  font-weight: var(--global-rps--font-weight-bolder) !important;
  height: var(--global-rps--button-height);
  border-radius: var(--global-rps--box-radius);
  text-decoration: none;
  border-style: none;
  padding: 10px 30px;
  box-shadow: none;
  transition: 0.4s;
}

.rps-button-outline {
  display: block;
  background-color: var(--global-rps--color-8) !important;
  font-size: var(--global-rps--button-font-size);
  font-weight: var(--global-rps--font-weight-bolder) !important;
  height: var(--global-rps--button-height);
  border-radius: var(--global-rps--box-radius);
  text-decoration: none;
  border: 2px solid var(--global-rps--color-1);
  transition: 0.4s;
  width: auto;
}

.rps-button-primary {
  color: var(--global-rps--color-1);
  background-color: var(--global-rps--color-5);
}

.rps-button-primary:hover  {
  color: var(--global-rps--color-8) !important;
  background-color: var(--global-rps--color-1) !important;
}

.rps-button-secondary {
  color: var(--global-rps--color-1);
  background-color: var(--global-rps--color-8);
  border: 2px solid var(--global-rps--color-1);
}

.rps-button-secondary:hover {
  color: var(--global-rps--color-8);
  background-color: var(--global-rps--color-1);
  border: 2px solid var(--global-rps--color-1);
}

.rps-button-tertiary {
  color: var(--global-rps--color-1);
  background-color: var(--global-rps--color-8);
  text-decoration: underline;
}

.rps-button-tertiary:hover {
  color: var(--global-rps--color-6);
  background-color: var(--global-rps--color-8);
}

.rps-global-input, .rps-global-textarea {
  display: block;
  width: 100%;
  font-size: var(--global-rps--button-font-size);
  box-shadow: var(--global-rps--input-box-shadow);
  border-top: 0 solid var(--global-rps--color-10) !important;
  border-bottom: 2px solid var(--global-rps--color-10) !important;
  border-left: 0 solid var(--global-rps--color-10) !important;
  border-right: 0 solid var(--global-rps--color-10) !important;
  padding: 4px 6px;
  border-radius: var(--global-rps--input-field-border-radius);
  color: var(--global-rps--color-1) !important;
  height: var(--global-rps--input-field-height) !important;
}

.rps-global-input:focus, .rps-global-textarea:focus {
  box-shadow: var(--global-rps--input-box-shadow);
  background-color: var(--global-rps--color-4);
  transition: 0.5s;
  border: none;
  outline-width: 0;
}

.rps-global-input:focus-visible, .rps-global-textarea:focus-visible {
  border-top: 0 solid var(--global-rps--color-9);
  border-bottom: 2px solid var(--global-rps--color-9);
  border-left: 0 solid var(--global-rps--color-9);
  border-right: 0 solid var(--global-rps--color-9);
}

.rps-global-input::-webkit-input-placeholder, .rps-global-textarea::-webkit-input-placeholder {
  font-style: italic;
}

.rps-global-input:-moz-placeholder, .rps-global-textarea:-moz-placeholder {
  font-style: italic;
}

.rps-global-input::-moz-placeholder, .rps-global-textarea::-moz-placeholder {
  font-style: italic;
}

.rps-global-input:-ms-input-placeholder, .rps-global-textarea:-ms-input-placeholder {
  font-style: italic;
}

.rps-global-textarea {
  padding: 10px !important;
  font-family: var(--global-rps--font-family-1);
}

.step-button-group{
  padding-top:var(--global-rps--spacing-30);
  width: auto;
  margin: auto;
  justify-content: space-between;
  display: flex;
}

.form-control {
  border: 0px solid #bbb !important;
  border-bottom: 1px solid #bbb !important;
  box-shadow: inset 0 0px 0px rgba(0, 0, 0, .075);
  height: 42px !important;
  font-size: 14px !important;
  border-radius: 5px 5px 0px 0px;
  color: var(--global-rps--color-1) !important;
}

.form-control:focus {
  box-shadow: inset 0 0px 0px rgba(0, 0, 0, .075), 0 0 0px rgba(0, 136, 206, .6);
  background-color: #ecececc7;
  transition: 0.5s;
}
.form-group {
  margin-bottom: 25px !important;
}

label {
  color: var(--global-rps--color-1) !important;
}

/*** FORM ELEMENTS  END*****/

.login-pf-page .card-pf {

  margin-left: auto;
  margin-right: auto;
}

/*** CONTENT ELEMENTS START*****/
.rps-card {
  padding: var(--global-rps--box-padding);
  border-radius: var(--global-rps--box-radius);
  box-shadow: var(--global-rps--box-shadow);
  border: none;
}
.header-num-logo {
  margin: 0 auto !important;
  background-color: #ffff  ;
  padding: 20px !important;
  border-radius: 5px !important;
  max-width: 600px !important;
  text-align: center;
}
#kc-page-title {
  margin-bottom: 30px !important;
  color: var(--global-rps--color-1) !important;
  font-weight: 600 !important;
  font-size: 26px;
}

/*** CONTENT ELEMENTS END*****/
  .section {
    font-align: center;
  }

  .rps-button {
    display: block;
    font-size: var(--global-rps--button-font-size);
    font-weight: var(--global-rps--font-weight-bolder) !important;
    height: var(--global-rps--button-height);
    border-radius: var(--global-rps--box-radius);
    text-decoration: none;
    border-style: none;
    padding: 10px 30px;
    box-shadow: none;
    transition: 0.4s;
  }
  .rps-button-primary {
    color: var(--global-rps--color-1);
    background-color: var(--global-rps--color-5);
  }

  .rps-button-primary:hover {
    color: var(--global-rps--color-8) !important;
    background-color: var(--global-rps--color-1) !important;
  }
</style>
</head>
<body class="has-background-light">
  <nav id="rps-header" class="rps-header"></nav>
  
  {{ if eq .StatusCode 403 }}
    <section class="section">
      <div class="box block error-box has-text-centered">
        <div>
          {% endraw %}
            <img style="height: 100px; margin: 0px auto; display: block;" src="{{ oauth2_proxy_logo_src }}">
          {% raw %}
        </div>
        <h4 class="text-center font-weight-bold">Vielen Dank für Ihre Anmeldung.</h4>
        <div class="block">
          <p>
            Wir werden Ihre Registrierung innerhalb der nächsten Werktage händisch verifizieren. Nach erfolgreicher Aktivierung Ihres Nutzerkontos werden Sie von uns per E-Mail informiert.
          </p>
          <p>
            Sollten Sie länger als 5 Werktage auf eine Bearbeitung warten, informieren Sie uns bitte unter 
            {% endraw %}
              <a href="mailto:{{ support_mail_address }}" class="authButton">{{ support_mail_address }}</a>
            {% raw %}
          </p>
          <div class="columns">
            <div class="column">
              <form method="GET" action="{{.Redirect}}">
                <button type="submit" class="rps-button rps-btn-primary" style="margin:1em auto">Zurück</button>
              </form>
            </div>
          </div>
        </div>
    </section>
  {{ else }}
    <section class="section">
      <div class="box block error-box has-text-centered">
        <div>
          {% endraw %}
            <img width="320" height="320" src="{{ oauth2_proxy_logo_src }}">
          {% raw %}
        </div>
        <div class="status-code">Error {{.StatusCode}}</div>
          <div class="block">
              {{ if eq .StatusCode 403 }}
                <h1 class="subtitle is-1">
                  Ihr Benutzeraccount ist noch nicht freigeschaltet.
                  <br>This user account has not been unlocked yet.
                </h1>
                
          </div>
          {{ else }}
              <h1 class="subtitle is-1">{{.Title}}</h1>
            </div>
            
            {{ if or .Message .RequestID }}
            <div id="more-info" class="block card is-fullwidth is-shadowless">
              <header class="card-header is-shadowless">
                <p class="card-header-title">More Info</p>
                <a class="card-header-icon card-toggle">
                  <i class="fa fa-angle-down"></i>
                </a>
              </header>
              <div class="card-content has-text-left is-hidden">
                {{ if .Message }}
                <div class="content">
                  {{.Message}}
                </div>
                {{ end }}
                {{ if .RequestID }}
                <div class="content">
                  Request ID: {{.RequestID}}
                </div>
                {{ end }}
              </div>
            </div>
            {{ end }}
        {{ end }}
        {{ if .Redirect }}
        <hr>

        <div class="columns">
          <div class="column">
            <form method="GET" action="{{.Redirect}}">
              <button type="submit" class="btn-rps-secondary">Go back</button>
            </form>
          </div>
          <div class="column">
            <form method="GET" action="{{.ProxyPrefix}}/sign_out">
              <input type="hidden" name="rd" value="{{.Redirect}}">
              <button type="submit" class="btn-rps-primary">Sign out</button>
            </form>
          </div>
        </div>
        {{ end }}

      </div>
    </section>
  {{ end }}
<nav id="rps-footer" class="rps-footer"></nav>

</body>
</html>
{{end}}
{% endraw %}